﻿using Infragistics.Controls.Charts;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Media;

namespace ChartControl
{
    /// <summary>
    /// Interaction logic for ChartControl.xaml
    /// </summary>
    public partial class ChartControl : UserControl
    {
        public ChartControl()
        {
            InitializeComponent();
        }

        public IEnumerable<DataItem> Data
        {
            get
            {
                var date = DateTime.Now;
                for (var i = 0; i < 10; i++)
                    yield return new DataItem
                    {
                        X = (date = date.AddMinutes(1)),
                        Y = i
                    };
            }
        }

        private void XAxis_OnMouseMove(object sender, MouseEventArgs e)
        {
          //  MessageBox.Show("Mouse move over the axis.");
        }

        private void XamDataChart_Loaded(object sender, RoutedEventArgs e)
        {
            HorizontalAxisLabelPanel xPanel = Utilities.GetDescendantFromType(sender as DependencyObject, typeof(HorizontalAxisLabelPanel), false) as HorizontalAxisLabelPanel;
            xPanel.Background = Brushes.Transparent;
            VerticalAxisLabelPanel yPanel = Utilities.GetDescendantFromType(sender as DependencyObject, typeof(VerticalAxisLabelPanel), false) as VerticalAxisLabelPanel;
            yPanel.Background = Brushes.Transparent;

            xPanel.MouseMove += xPanel_MouseMove;
            yPanel.MouseMove += yPanel_MouseMove;
        }

        void xPanel_MouseMove(object sender, MouseEventArgs e)
        {
            
        }

        void yPanel_MouseMove(object sender, MouseEventArgs e)
        {

        }
    }
}
